diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index 164eb0fd6..1fe935182 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -1102,6 +1102,8 @@ void Parameter::bound_value(bool force_integer)
       case ct_osc_feedback_negative:
       case ct_detuning:
       case ct_lfoamplitude:
+      case ct_airwindow_param:
+      case ct_airwindow_param_bipolar:
       {
          val.f = floor(val.f * 100) / 100.0;
          break;
diff --git a/src/common/dsp/effect/airwindows/AirWindowsEffect.cpp b/src/common/dsp/effect/airwindows/AirWindowsEffect.cpp
index cfd463573..bb45d646c 100644
--- a/src/common/dsp/effect/airwindows/AirWindowsEffect.cpp
+++ b/src/common/dsp/effect/airwindows/AirWindowsEffect.cpp
@@ -40,7 +40,15 @@ const char* AirWindowsEffect::group_label(int id)
       if( airwin )
       {
          static char txt[1024];
-         airwin->getEffectName(txt);
+
+         if( mapper )
+         {
+            strncpy( txt, mapper->nameAtStreamedIndex(fxdata->p[0].val.i).c_str(), 1023);
+         }
+         else
+         {
+            airwin->getEffectName(txt);
+         }
          return (const char*)txt;
       }
       else
